#include <iostream>

int main()
{
	int n, c, q;
	std::string s;
	std::string temp_s;

	std::cin >> n >> c >> q;
	std::cin >> s;

	int resenja[q];

	for(int i = 0; i < q; i++)
	{
		int min_cena = 0;

		int l, r;
		std::cin >> l >> r;

		for(int j = l - 1; j < r; j++)
		{
			if(s[j] == '0')
				s[j] = '1';
			else
				s[j] = '0';
		}

		for(int j = 0; j < n; j++)
		{
			if(s[j] == '1')
				min_cena++;
		}

		for(int pniz_p = 0; pniz_p < n; pniz_p++)
		{
			for(int pniz_k = pniz_p + 1; pniz_k < n; pniz_k++)
			{
				int cena = c;
				temp_s = s;

				for(int j = pniz_p; j <= pniz_k; j++)
				{
					if(temp_s[j] == '0')
						temp_s[j] = '1';
					else	
						temp_s[j] = '0';
				}

				for(int j = 0; j < n; j++)
					if(temp_s[j] == '1')
						cena++;

				if(cena < min_cena)
					min_cena = cena;
			
			}
		}

		resenja[i] = min_cena;
	}

	for(int i = 0; i < q; i++)
		std::cout << resenja[i] << "\n";

}